Debian Bug report logs - #533977
zzuf: FTBFS: tests failed

version graph

Package: zzuf; Maintainer for zzuf is Sam Hocevar <sho@debian.org>; Source for zzuf is src:zzuf.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Jun 2009 15:23:53 UTC

Severity: serious

Tags: sid, squeeze

Found in version zzuf/0.12-1

Fixed in versions zzuf/0.12.svn20091212-1, zzuf/0.13-1

Done: Sam Hocevar <sho@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#533977; Package zzuf. (Sun, 21 Jun 2009 15:23:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Sun, 21 Jun 2009 15:23:55 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: zzuf: FTBFS: tests failed
Date: Sun, 21 Jun 2009 17:01:16 +0200
Package: zzuf
Version: 0.12-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/build/user-zzuf_0.12-1-amd64-EzwPCH/zzuf-0.12'
> make[3]: Nothing to be done for `all-am'.
> make[3]: Leaving directory `/build/user-zzuf_0.12-1-amd64-EzwPCH/zzuf-0.12'
> make[2]: Leaving directory `/build/user-zzuf_0.12-1-amd64-EzwPCH/zzuf-0.12'
> make[1]: Leaving directory `/build/user-zzuf_0.12-1-amd64-EzwPCH/zzuf-0.12'
> ./test/testsuite.sh
> *** running zzuf test suite with seed 58202476 ***
> 
> *** check #1: random number generator ***
> *** 20 MiB of zeroes, ratio 0.000000001 ***
>  expected ....... 0
>  try 0 .......... 0
>  try 1 .......... 0
>  try 2 .......... 0
>  try 3 .......... 0
>  try 4 .......... 2
>  try 5 .......... 0
>  try 6 .......... 0
>  try 7 .......... 0
>  try 8 .......... 0
>  try 9 .......... 0
>  min/avg/max 0/0/2 .......... ok
> *** 20 MiB of zeroes, ratio 0.00000001 ***
>  expected ....... 1
>  try 0 .......... 0
>  try 1 .......... 5
>  try 2 .......... 0
>  try 3 .......... 2
>  try 4 .......... 1
>  try 5 .......... 3
>  try 6 .......... 0
>  try 7 .......... 2
>  try 8 .......... 3
>  try 9 .......... 1
>  min/avg/max 0/2/5 .......... ok
> *** 20 MiB of zeroes, ratio 0.0000001 ***
>  expected ....... 16
>  try 0 .......... 15
>  try 1 .......... 22
>  try 2 .......... 13
>  try 3 .......... 12
>  try 4 .......... 15
>  try 5 .......... 17
>  try 6 .......... 13
>  try 7 .......... 21
>  try 8 .......... 21
>  try 9 .......... 16
>  min/avg/max 12/17/22 .......... ok
> *** 20 MiB of zeroes, ratio 0.000001 ***
>  expected ....... 167
>  try 0 .......... 171
>  try 1 .......... 191
>  try 2 .......... 158
>  try 3 .......... 186
>  try 4 .......... 145
>  try 5 .......... 162
>  try 6 .......... 165
>  try 7 .......... 190
>  try 8 .......... 176
>  try 9 .......... 175
>  min/avg/max 145/172/191 .......... ok
> *** 20 MiB of zeroes, ratio 0.00001 ***
>  expected ....... 1677
>  try 0 .......... 1669
>  try 1 .......... 1683
>  try 2 .......... 1616
>  try 3 .......... 1631
>  try 4 .......... 1675
>  try 5 .......... 1670
>  try 6 .......... 1688
>  try 7 .......... 1736
>  try 8 .......... 1694
>  try 9 .......... 1730
>  min/avg/max 1616/1679/1736 .......... ok
> *** 20 MiB of zeroes, ratio 0.0001 ***
>  expected ....... 16775
>  try 0 .......... 16739
>  try 1 .......... 16727
>  try 2 .......... 16697
>  try 3 .......... 16664
>  try 4 .......... 16801
>  try 5 .......... 16799
>  try 6 .......... 16726
>  try 7 .......... 16752
>  try 8 .......... 16795
>  try 9 .......... 16776
>  min/avg/max 16664/16748/16801 .......... ok
> *** 20 MiB of zeroes, ratio 0.001 ***
>  expected ....... 167604
>  try 0 .......... 167653
>  try 1 .......... 167620
>  try 2 .......... 167601
>  try 3 .......... 167622
>  try 4 .......... 167640
>  try 5 .......... 167592
>  try 6 .......... 167594
>  try 7 .......... 167569
>  try 8 .......... 167647
>  try 9 .......... 167597
>  min/avg/max 167569/167614/167653 .......... ok
> *** 20 MiB of zeroes, ratio 0.01 ***
>  expected ....... 1661055
>  try 0 .......... 1661101
>  try 1 .......... 1661292
>  try 2 .......... 1661125
>  try 3 .......... 1661315
>  try 4 .......... 1661153
>  try 5 .......... 1661429
>  try 6 .......... 1661124
>  try 7 .......... 1661292
>  try 8 .......... 1661374
>  try 9 .......... 1661205
>  min/avg/max 1661101/1661241/1661429 .......... ok
> *** 20 MiB of zeroes, ratio 0.1 ***
>  expected ....... 15205967
>  try 0 .......... 15209767
>  try 1 .......... 15204753
>  try 2 .......... 15210843
>  try 3 .......... 15204666
>  try 4 .......... 15207158
>  try 5 .......... 15206300
>  try 6 .......... 15209408
>  try 7 .......... 15208078
>  try 8 .......... 15207513
>  try 9 .......... 15209789
>  min/avg/max 15204666/15207828/15210843 .......... ok
> 
> *** check #2: libc functions coverage ***
> *** file ./test/file-00, ratio 0.0 ***
> *** should be bb7df04e1b0a2570657527a7e108ae23 ***
>  zzuf ............. ok
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-ff, ratio 0.0 ***
>  zzuf ............. 3df7b33399422731e8e5615785c0536d
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-text, ratio 0.0 ***
>  zzuf ............. 899fe000acdebed7440b1fc1e1ad8727
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
>  head -n 9999 ..... ok
>  tail -n 9999 ..... ok
>  tail -n +1 ....... ok
>  grep -a '' ....... ok
>  sed -e n ......... ok
>  |head -n 9999 .... ok
>  |tail -n 9999 .... ok
>  |tail -n +1 ...... ok
>  |grep -a '' ...... ok
>  |sed -e n ........ ok
> *** file ./test/file-random, ratio 0.0 ***
>  zzuf ............. de6a63590a52d6684bd6155bac68733f
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-00, ratio 0.000000001 ***
>  zzuf ............. bb7df04e1b0a2570657527a7e108ae23
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-ff, ratio 0.000000001 ***
>  zzuf ............. 3df7b33399422731e8e5615785c0536d
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-text, ratio 0.000000001 ***
>  zzuf ............. 899fe000acdebed7440b1fc1e1ad8727
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
>  head -n 9999 ..... ok
>  tail -n 9999 ..... ok
>  tail -n +1 ....... ok
>  grep -a '' ....... ok
>  sed -e n ......... ok
>  |head -n 9999 .... ok
>  |tail -n 9999 .... ok
>  |tail -n +1 ...... ok
>  |grep -a '' ...... ok
>  |sed -e n ........ ok
> *** file ./test/file-random, ratio 0.000000001 ***
>  zzuf ............. de6a63590a52d6684bd6155bac68733f
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-00, ratio 0.0000001 ***
>  zzuf ............. bb7df04e1b0a2570657527a7e108ae23
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-ff, ratio 0.0000001 ***
>  zzuf ............. 3df7b33399422731e8e5615785c0536d
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-text, ratio 0.0000001 ***
>  zzuf ............. 899fe000acdebed7440b1fc1e1ad8727
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
>  head -n 9999 ..... ok
>  tail -n 9999 ..... ok
>  tail -n +1 ....... ok
>  grep -a '' ....... ok
>  sed -e n ......... ok
>  |head -n 9999 .... ok
>  |tail -n 9999 .... ok
>  |tail -n +1 ...... ok
>  |grep -a '' ...... ok
>  |sed -e n ........ ok
> *** file ./test/file-random, ratio 0.0000001 ***
>  zzuf ............. de6a63590a52d6684bd6155bac68733f
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-00, ratio 0.00001 ***
>  zzuf ............. 3fd83f75b5e09f6f4e4f4f78e3946204
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-ff, ratio 0.00001 ***
>  zzuf ............. 60d7cd7fa990c72b715d3c42107452c7
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-text, ratio 0.00001 ***
>  zzuf ............. 2d78ba3b28c1afd7b5a970eb5987ae7e
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
>  head -n 9999 ..... ok
>  tail -n 9999 ..... ok
>  tail -n +1 ....... ok
>  grep -a '' ....... ok
>  sed -e n ......... 7ae7391621e09fa3ee010240709165b5 FAILED
>  |head -n 9999 .... ok
>  |tail -n 9999 .... ok
>  |tail -n +1 ...... ok
>  |grep -a '' ...... ok
>  |sed -e n ........ 7ae7391621e09fa3ee010240709165b5 FAILED
> *** file ./test/file-random, ratio 0.00001 ***
>  zzuf ............. ea3cea6926d816e0c6a47d8f24dd4772
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-00, ratio 0.001 ***
>  zzuf ............. bd1caa7520b06315d279b243bf4fe1a8
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-ff, ratio 0.001 ***
>  zzuf ............. 8de18b7017186f0e53386f2a8dee7f76
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-text, ratio 0.001 ***
>  zzuf ............. 5c71dc0c003101d6b95b40e35fc3af52
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
>  head -n 9999 ..... ok
>  tail -n 9999 ..... ok
>  tail -n +1 ....... ok
>  grep -a '' ....... ok
>  sed -e n ......... c4afec60223bb9f91a102ae8f36681e3 FAILED
>  |head -n 9999 .... ok
>  |tail -n 9999 .... ok
>  |tail -n +1 ...... ok
>  |grep -a '' ...... ok
>  |sed -e n ........ c4afec60223bb9f91a102ae8f36681e3 FAILED
> *** file ./test/file-random, ratio 0.001 ***
>  zzuf ............. cf0eb08dad31a344927001ced5b68b9d
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-00, ratio 0.1 ***
>  zzuf ............. 6e4d08a74ff02ebd039aac7f4fae6241
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-ff, ratio 0.1 ***
>  zzuf ............. d2ce81b39f642a9540735d050ad78d75
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-text, ratio 0.1 ***
>  zzuf ............. d308c0f6ebf25c06654873ddecea221a
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
>  head -n 9999 ..... ok
>  tail -n 9999 ..... ok
>  tail -n +1 ....... ok
>  grep -a '' ....... ok
>  sed -e n ......... 4dd659a316ed7f326d26cd9dea58a366 FAILED
>  |head -n 9999 .... ok
>  |tail -n 9999 .... ok
>  |tail -n +1 ...... ok
>  |grep -a '' ...... ok
>  |sed -e n ........ 4dd659a316ed7f326d26cd9dea58a366 FAILED
> *** file ./test/file-random, ratio 0.1 ***
>  zzuf ............. da9c02cc9681cb1c6aba88fa093cdaab
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-00, ratio 10.0 ***
>  zzuf ............. 99187a6917afa06d8f9ad12b7cee904c
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-ff, ratio 10.0 ***
>  zzuf ............. a23df93ba88194ad783235d239e17116
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> *** file ./test/file-text, ratio 10.0 ***
>  zzuf ............. fedb955f51620ee8aa75a9cceaf07dde
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
>  head -n 9999 ..... ok
>  tail -n 9999 ..... ok
>  tail -n +1 ....... ok
>  grep -a '' ....... ok
>  sed -e n ......... 471e3c392e4d632d1a3e722eb0daf87a FAILED
>  |head -n 9999 .... ok
>  |tail -n 9999 .... ok
>  |tail -n +1 ...... ok
>  |grep -a '' ...... ok
>  |sed -e n ........ 471e3c392e4d632d1a3e722eb0daf87a FAILED
> *** file ./test/file-random, ratio 10.0 ***
>  zzuf ............. e0df83c4d5dadd378342e5042eea78e1
>  zzcat 1 .......... ok
>  zzcat 2 .......... ok
>  zzcat 3 .......... ok
>  cat .............. ok
>  |cat ............. ok
>  dd(bs=65536) ..... ok
>  dd(bs=1111) ...... ok
>  dd(bs=1024) ...... ok
>  dd(bs=1) ......... ok
> 
> *** 8 tests failed out of 332 ***
> make: *** [build-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/06/20/zzuf_0.12-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#533977; Package zzuf. (Sat, 28 Nov 2009 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Spitzer <philipp+debian@spitzer.priv.at>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Sat, 28 Nov 2009 15:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 533977@bugs.debian.org (full text, mbox):

From: Philipp Spitzer <philipp+debian@spitzer.priv.at>
To: 533977@bugs.debian.org
Subject: Details...
Date: Sat, 28 Nov 2009 16:43:36 +0100
Hi!

I tried to reproduce the bug in version zzuf_0.12-1.1 with a lenny machine (kernel 2.6.26-2-686).

When I compile it directly, all tests pass.

When I run it in a sid cowbuilder environment, some tests pass, but even more tests fail
compared to the test run described in the original bug report.

I tried to look closer at the problem and found the interesting detail (in cowbuilder):


root@rigel:/tmp/533977/zzuf-0.12/test# ./../src/zzuf -s 58202476 -r 0.001 -P '\n' < ./file-text
> testa.txt

root@rigel:/tmp/533977/zzuf-0.12/test# ./../src/zzuf -s 58202476 -r 0.001 -P '\n' sed -e n
./file-text > testb.txt


When comparing testa.txt and testb.txt they differ.


root@rigel:/tmp/533977/zzuf-0.12/test# diff test?.txt | head -n 12
2c2
< tell him  pinned to  in appeared bleak  and tHe was  billowing out  had bawned
---
> tell him  pinned to  in appeared bleak  and thE was  billowing out  had bawlgd
5c5
< get lynched  by the voice  said, -  shou�ed - he  knew that the  main Universe
---
> get lynched  by the voice  said, -  shoute� - he  knew that the  main Universe
8c8
< Deep Thought is that morning, O�people born?  Why not? - Funny, - said Ford. -
---
> Deep Thought is that morning, O peo�le born?  Why not? - Funny, - said Ford. -


Outside cowbuilder, the two commands from above produce both the same output as testa.txt.

When changing the parameter -r 0.001 to -r 0, the output files are in all cases (both commands
in and outside cowbuilder) identical to the input file ./file-text



In my case, not only the sed tests fail but also other tests (but not all of them) when I do
the tests inside cowbuilder.
In some cases, there appears an interesting error (inside cowbuilder):

root@rigel:/tmp/533977/zzuf-0.12/test# ./../src/zzuf -s 25155168 -r 10 -P '\n' < ./file-text |
wc -c
32768

root@rigel:/tmp/533977/zzuf-0.12/test# ./../src/zzuf -s 25155168 -r 10 -P '\n' cat ./file-text
| wc -c
E: cowdancer: .ilist header unexpected
cowdancer: Fatal, initialize_functions failed
E: cowdancer: .ilist header unexpected
cat: ./file-text: Cannot allocate memory
0

root@rigel:/tmp/533977/zzuf-0.12/test# ./../src/zzuf -m -s 25155168 -r 10 -P '\n' cat ./file-text
E: cowdancer: .ilist header unexpected
cowdancer: Fatal, initialize_functions failed
E: cowdancer: .ilist header unexpected
cat: ./file-text: Cannot allocate memory
zzuf[s=25155168,r=10]: d41d8cd98f00b204e9800998ecf8427e

The "result" MD5 sum of many tests in my cowbuilder case is d41d8cd98f00b204e9800998ecf8427e,
which is the MD5 sum of an empty string. Only the sed test is different in my case: There are
no cowbuilder error messages and the output has the same length as the original output as it
should be; however, the result is not identical as shown above.

Without cowbuilder, every tests passes as mentioned before.

I am using a cowbuilder from the stable cowdancer 0.47 package.

Best regards,
Philipp Spitzer





Reply sent to Sam Hocevar <sho@debian.org>:
You have taken responsibility. (Sun, 13 Dec 2009 00:51:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 13 Dec 2009 00:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 533977-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sho@debian.org>
To: 533977-close@bugs.debian.org
Subject: Bug#533977: fixed in zzuf 0.12.svn20091212-1
Date: Sun, 13 Dec 2009 00:47:40 +0000
Source: zzuf
Source-Version: 0.12.svn20091212-1

We believe that the bug you reported is fixed in the latest version of
zzuf, which is due to be installed in the Debian FTP archive:

zzuf_0.12.svn20091212-1.debian.tar.gz
  to main/z/zzuf/zzuf_0.12.svn20091212-1.debian.tar.gz
zzuf_0.12.svn20091212-1.dsc
  to main/z/zzuf/zzuf_0.12.svn20091212-1.dsc
zzuf_0.12.svn20091212-1_i386.deb
  to main/z/zzuf/zzuf_0.12.svn20091212-1_i386.deb
zzuf_0.12.svn20091212.orig.tar.gz
  to main/z/zzuf/zzuf_0.12.svn20091212.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533977@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar <sho@debian.org> (supplier of updated zzuf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Dec 2009 23:42:57 +0100
Source: zzuf
Binary: zzuf
Architecture: source i386
Version: 0.12.svn20091212-1
Distribution: experimental
Urgency: low
Maintainer: Sam Hocevar <sho@debian.org>
Changed-By: Sam Hocevar <sho@debian.org>
Description: 
 zzuf       - transparent application fuzzer
Closes: 533977 543458
Changes: 
 zzuf (0.12.svn20091212-1) experimental; urgency=low
 .
   * New SVN snapshot.
   * This snapshot properly handles the getc_unlocked() call used by new
     versions of sed. The test suite passes again (Closes: #533977).
   * debian/control:
     + Build-depend on missing ${misc:Depends}.
     + Set policy to 3.8.3.
   * debian/source/format:
     + Switch to 3.0 (quilt) source format.
   * debian/rules:
     + Fix a race condition in the build rule (Closes: #543458).
Checksums-Sha1: 
 014e566555169afccfdb5968adc11be77962570f 1010 zzuf_0.12.svn20091212-1.dsc
 0efa7bde67316e1fcd8acfab2cd43b4977d99f59 429377 zzuf_0.12.svn20091212.orig.tar.gz
 54cb1b249a1f4b60fe8efbc5f5ae81f344b4c90f 2820 zzuf_0.12.svn20091212-1.debian.tar.gz
 eda5294b38e59b593303b82104953a55d4cb5412 76096 zzuf_0.12.svn20091212-1_i386.deb
Checksums-Sha256: 
 2d1a6393fd0a287d93ab69b65d63fb43e733423b2928149cd9ff0a285bbb45a2 1010 zzuf_0.12.svn20091212-1.dsc
 693770080ca4b63026bc8bb18632c7934fc153cf5e2a0dbbbd317c4b191222d3 429377 zzuf_0.12.svn20091212.orig.tar.gz
 eba84dc4e60146f0830df80220a5163825d7204da20974f506c8ca4429b85cda 2820 zzuf_0.12.svn20091212-1.debian.tar.gz
 0ef5087aba76fe830ec4a0b3adc5b345fd93624097f13a0b486f5ab6c76ee344 76096 zzuf_0.12.svn20091212-1_i386.deb
Files: 
 b59781891267ad32a82a71d166b5d4d2 1010 devel optional zzuf_0.12.svn20091212-1.dsc
 3ea531662c5bdd28ca48a50c699d52f9 429377 devel optional zzuf_0.12.svn20091212.orig.tar.gz
 3359b12e2958787d1c65c8252435c61e 2820 devel optional zzuf_0.12.svn20091212-1.debian.tar.gz
 1bf9451f06d8f3b2619313cc25a16b54 76096 devel optional zzuf_0.12.svn20091212-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLJDeGfPP1rylJn2ERAqBcAJ4x0M6er+l/l+gbS2DY676jYy7MKwCfeEyK
gpKx6MzOKcyCcS5oJsL1zrI=
=Sxk6
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#533977; Package zzuf. (Sun, 13 Dec 2009 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@hocevar.net>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Sun, 13 Dec 2009 19:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 533977@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@hocevar.net>
To: Philipp Spitzer <philipp+debian@spitzer.priv.at>, 533977@bugs.debian.org
Subject: Re: Bug#533977: Details...
Date: Sun, 13 Dec 2009 20:40:40 +0100
On Sat, Nov 28, 2009, Philipp Spitzer wrote:

> In my case, not only the sed tests fail but also other tests (but not
> all of them) when I do the tests inside cowbuilder. In some cases,
> there appears an interesting error (inside cowbuilder):
> 
> root@rigel:/tmp/533977/zzuf-0.12/test# ./../src/zzuf -s 25155168 -r 10 -P '\n' < ./file-text |
> wc -c
> 32768
> 
> root@rigel:/tmp/533977/zzuf-0.12/test# ./../src/zzuf -s 25155168 -r 10 -P '\n' cat ./file-text
> | wc -c
> E: cowdancer: .ilist header unexpected
> cowdancer: Fatal, initialize_functions failed
> E: cowdancer: .ilist header unexpected
> cat: ./file-text: Cannot allocate memory
> 0

   This is because cowbuilder is affected by zzuf when trying to
read .ilist, which gets corrupted like any other file. I will add a
workaround for that in the test suite but I guess cowbuilder will need
fixing, too.

-- 
Sam.




Added tag(s) sid and squeeze. Request was from Tim Retout <tim@retout.co.uk> to control@bugs.debian.org. (Sat, 02 Jan 2010 03:27:14 GMT) Full text and rfc822 format available.

Reply sent to Sam Hocevar <sho@debian.org>:
You have taken responsibility. (Sun, 31 Jan 2010 18:21:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 31 Jan 2010 18:21:07 GMT) Full text and rfc822 format available.

Message #27 received at 533977-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sho@debian.org>
To: 533977-close@bugs.debian.org
Subject: Bug#533977: fixed in zzuf 0.13-1
Date: Sun, 31 Jan 2010 18:19:53 +0000
Source: zzuf
Source-Version: 0.13-1

We believe that the bug you reported is fixed in the latest version of
zzuf, which is due to be installed in the Debian FTP archive:

zzuf_0.13-1.debian.tar.gz
  to main/z/zzuf/zzuf_0.13-1.debian.tar.gz
zzuf_0.13-1.dsc
  to main/z/zzuf/zzuf_0.13-1.dsc
zzuf_0.13-1_amd64.deb
  to main/z/zzuf/zzuf_0.13-1_amd64.deb
zzuf_0.13.orig.tar.gz
  to main/z/zzuf/zzuf_0.13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533977@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar <sho@debian.org> (supplier of updated zzuf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 31 Jan 2010 17:54:31 +0000
Source: zzuf
Binary: zzuf
Architecture: source amd64
Version: 0.13-1
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar <sho@debian.org>
Changed-By: Sam Hocevar <sho@debian.org>
Description: 
 zzuf       - transparent application fuzzer
Closes: 533977 543458 562434 566552
Changes: 
 zzuf (0.13-1) unstable; urgency=low
 .
   * New upstream release.
   * This release properly handles the getc_unlocked() call used by new
     versions of sed. The test suite passes again (Closes: #533977, #562434).
   * This release fixes a problem with memory limit detection (Closes: #566552).
   * debian/rules:
     + Fix a race condition in the build rule (Closes: #543458).
Checksums-Sha1: 
 7adbc9c53cf962286c94fff6da6fe7515fb24a1c 934 zzuf_0.13-1.dsc
 19f904d63d045194885639c381a607ca86a319b5 461498 zzuf_0.13.orig.tar.gz
 e733aebb5cea36e76397d66b5ee7a92790609679 2910 zzuf_0.13-1.debian.tar.gz
 f44b0abb13274e936000eceb6f489700a61b84a5 110310 zzuf_0.13-1_amd64.deb
Checksums-Sha256: 
 578c6ac289c4080a00bc4050afc6f7455c579f670debe86241179d63b90b8fd6 934 zzuf_0.13-1.dsc
 0842c548522028c3e0d9c9cf7d09f6320b661f33824bb6df19ca209851bdf627 461498 zzuf_0.13.orig.tar.gz
 7bad1bef6423ea6c7ac416b3f61de68b3df68a4416c7c3591e5dc56b18e2c191 2910 zzuf_0.13-1.debian.tar.gz
 a7949fd3ea43ec41d4d90a72a675314e20c96fd31a8af9ab5290fb1b6fa9b889 110310 zzuf_0.13-1_amd64.deb
Files: 
 88e728479614c7c47b8166bd24998f44 934 devel optional zzuf_0.13-1.dsc
 74579c429f9691f641a14f408997d42d 461498 devel optional zzuf_0.13.orig.tar.gz
 36e5df4398249209b192ab124703cfea 2910 devel optional zzuf_0.13-1.debian.tar.gz
 31f46fd45207dbba2e8577bf3e1d8975 110310 devel optional zzuf_0.13-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktlxHkACgkQfPP1rylJn2EhpwCeO+JCEJmIL6o1fW4w6CJFSAOI
hMAAn3zug5x5+3lOsti93SYjqzDTG6gm
=Rb2Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:54:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:27:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.